diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 69c7c2e..edfdf79 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -62760,6 +62760,195 @@ NonNegativeInteger: Join(OrderedAbelianMonoidSup,Monoid) with
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain NOTTING NottinghamGroup}
+<<NottinghamGroup.input>>=
+)sys rm -f NottinghamGroup.output
+)spool NottinghamGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1
+x:=monomial(1,1)$UFPS PF 1783
+--R 
+--R
+--R   (1)  x
+--R                            Type: UnivariateFormalPowerSeries PrimeField 1783
+--E 1
+
+--S 2
+s:=retract(sin x)$NOTTING PF 1783
+--R 
+--R
+--R                3        5       7       9      11
+--R   (2)  x + 297x  + 1679x  + 427x  + 316x  + O(x  )
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 2
+
+--S 3
+s^2
+--R 
+--R
+--R                3       5        7        9      11
+--R   (3)  x + 594x  + 535x  + 1166x  + 1379x  + O(x  )
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 3
+
+--S 4
+s^-1
+--R 
+--R
+--R                 3       5       7        9      11
+--R   (4)  x + 1486x  + 847x  + 207x  + 1701x  + O(x  )
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 4
+
+--S 5
+s^-1*s
+--R 
+--R
+--R               11
+--R   (5)  x + O(x  )
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 5
+
+--S 6
+s*s^-1
+--R 
+--R
+--R               11
+--R   (6)  x + O(x  )
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 6
+
+--S 7
+sample()$NOTTING(PF(1783))
+--R
+--R   (7)  x
+--R                                        Type: NottinghamGroup PrimeField 1783
+--E 7
+
+--S 8
+)show NottinghamGroup
+--R 
+--R NottinghamGroup F: FiniteFieldCategory  is a domain constructor
+--R Abbreviation for NottinghamGroup is NOTTING 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.spad.pamphlet to see algebra source code for NOTTING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R retract : UnivariateFormalPowerSeries F -> %
+--R
+--E 8
+
+)spool
+)lisp (bye)
+ 
+@
+<<NottinghamGroup.help>>=
+====================================================================
+NottinghamGroup examples
+====================================================================
+
+   x:=monomial(1,1)$UFPS PF 1783
+     x
+
+   s:=retract(sin x)$NOTTING PF 1783
+             3        5       7       9      11
+     x + 297x  + 1679x  + 427x  + 316x  + O(x  )
+
+   s^2
+             3       5        7        9      11
+     x + 594x  + 535x  + 1166x  + 1379x  + O(x  )
+
+   s^-1
+              3       5       7        9      11
+     x + 1486x  + 847x  + 207x  + 1701x  + O(x  )
+
+   s^-1*s
+            11
+     x + O(x  )
+
+   s*s^-1
+               11
+        x + O(x  )
+
+See Also:
+o )show NottinghamGroup
+o )show UnivariateFormalPowerSeries
+
+@
+\pagehead{NottinghamGroup}{NOTTING}
+\pagepic{ps/v103nottinghamgroup.ps}{NOTTING}{1.00}
+
+If F is a finite field with $p^n$ elements, then we may form the group
+of all formal power series $\{t(1+a_1t+a_2t+\ldots)\}$ where $u(0)=0$ and 
+$u^{'}(0)=1$ and $a_i \in F$. 
+The group operation is substitution (composition).
+This is called the Nottingham Group. 
+
+The Nottingham Group is the projective limit of finite p-groups.
+Every finite p-group can be embedded in the Nottingham Group.
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{NOTTING}{1} &
+\cross{NOTTING}{coerce} &
+\cross{NOTTING}{commutator} &
+\cross{NOTTING}{conjugate} &
+\cross{NOTTING}{hash} \\
+\cross{NOTTING}{inv} &
+\cross{NOTTING}{latex} &
+\cross{NOTTING}{one?} &
+\cross{NOTTING}{recip} &
+\cross{NOTTING}{sample} \\
+\cross{NOTTING}{\^{}=} &
+\cross{NOTTING}{retract} &
+\cross{NOTTING}{*} &
+\cross{NOTTING}{**} &
+\cross{NOTTING}{/} \\
+\cross{NOTTING}{=} &
+\cross{NOTTING}{\^{}} &&&
+\end{tabular}
+
+<<domain NOTTING NottinghamGroup>>=
+)abbrev domain NOTTING NottinghamGroup
+NottinghamGroup(F:FiniteFieldCategory): Group with
+  retract: UnivariateFormalPowerSeries F -> %
+ == add
+  Rep:=UnivariateFormalPowerSeries F
+
+  coerce f == coerce(f::Rep)$UnivariateFormalPowerSeries(F)
+
+  retract f ==
+    if zero? coefficient(f,0) and one? coefficient(f,1)
+    then f::Rep
+    else error"The leading term must be x"
+
+  1 == monomial(1,1)
+
+  f*g == f.g
+
+  inv f == revert f
+
+@
+<<NOTTING.dotabb>>=
+"NOTTING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NOTTING"]
+"UFPS" [color="#4488FF",href="bookvol10.3.pdf#nameddest=UFPS"]
+"NOTTING" -> "UFPS"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NIPROB NumericalIntegrationProblem}
 \pagehead{NumericalIntegrationProblem}{NIPROB}
 \pagepic{ps/v103numericalintegrationproblem.ps}{NIPROB}{1.00}
@@ -89747,7 +89936,7 @@ unfortunately.
 \end{tabular}
 
 <<domain SUPEXPR SparseUnivariatePolynomialExpressions>>=
-)abb domain SUPEXPR SparseUnivariatePolynomialExpressions
+)abbrev domain SUPEXPR SparseUnivariatePolynomialExpressions
 SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
 
     Exports == UnivariatePolynomialCategory R with
@@ -115140,6 +115329,7 @@ Note that this code is not included in the generated catdef.spad file.
 <<domain NSUP NewSparseUnivariatePolynomial>>
 <<domain NONE None>>
 <<domain NNI NonNegativeInteger>>
+<<domain NOTTING NottinghamGroup>>
 <<domain NIPROB NumericalIntegrationProblem>>
 <<domain ODEPROB NumericalODEProblem>>
 <<domain OPTPROB NumericalOptimizationProblem>>
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 23f6c27..a72d13e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -21525,7 +21525,7 @@ works. This is probably due to missing ``/'' in UFPS.
 \end{tabular}
 
 <<package EXPRSOL ExpressionSolve>>=
-)abb package EXPRSOL ExpressionSolve
+)abbrev package EXPRSOL ExpressionSolve
 ExpressionSolve(R, F, UTSF, UTSSUPF): Exports == Implementation where
     R: Join(OrderedSet, IntegralDomain, ConvertibleTo InputForm)
     F: FunctionSpace R
@@ -92796,8 +92796,8 @@ It uses the method of undetermined coefficients.
 {\bf Exports:}\\
 \cross{UTSSOL}{seriesSolve} 
 
-<<package UTSSOL TaylorSolveTaylorSolve>>=
-)abb package UTSSOL TaylorSolve
+<<package UTSSOL TaylorSolve>>=
+)abbrev package UTSSOL TaylorSolve
 TaylorSolve(F, UTSF, UTSSUPF): Exports == Implementation where
     F: Field
     SUP  ==> SparseUnivariatePolynomialExpressions
diff --git a/books/ps/v103nottinghamgroup.ps b/books/ps/v103nottinghamgroup.ps
new file mode 100644
index 0000000..114f33d
--- /dev/null
+++ b/books/ps/v103nottinghamgroup.ps
@@ -0,0 +1,281 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16.1 (Mon Jul  7 18:20:33 UTC 2008)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 122 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 86 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath fill
+1 setlinewidth
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath stroke
+% NOTTING
+gsave
+[ /Rect [ 0 72 78 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=NOTTING) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 78 108 moveto
+2.634e-14 108 lineto
+5.29438e-15 72 lineto
+78 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 78 108 moveto
+2.634e-14 108 lineto
+5.29438e-15 72 lineto
+78 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+7.5 85.9 moveto 63 (NOTTING) alignedtext
+grestore
+% UFPS
+gsave
+[ /Rect [ 12 0 66 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=UFPS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
+newpath 66 36 moveto
+12 36 lineto
+12 1.06581e-14 lineto
+66 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 66 36 moveto
+12 36 lineto
+12 1.06581e-14 lineto
+66 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+22.5 13.9 moveto 33 (UFPS) alignedtext
+grestore
+% NOTTING->UFPS
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 39 72 moveto
+39 64 39 55 39 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 42.5001 46 moveto
+39 36 lineto
+35.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 42.5001 46 moveto
+39 36 lineto
+35.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 122 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index b994693..5533355 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20090225 tpd src/axiom-website/patches.html 20090225.02.tpd.patch
+20090225 tpd src/algebra/Makefile add NottinghamGroup
+20090225 tpd src/algebra/exposed.lsp add NottinghamGroup
+20090225 tpd books/ps/v103nottinghamgroup.ps
+20090225 mxr books/bookvol10.4 fix TaylorSolve, UFPS
+20090225 mxr books/bookvol10.3 add NottinghamGroup
 20090225 tpd src/axiom-website/patches.html 20090225.01.tpd.patch
 20090225 tpd src/interp/Makefile add regression, help for Heap
 20090225 tpd books/bookvol10.3 add regression, help, examples for Heap
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index ed8052e..2c80c0c 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -3962,7 +3962,6 @@ LAYER8=\
 "MTSCAT" -> "TRANFUN"
 /*"MTSCAT" -> {"TRIGCAT"; "ATRIG"; "HYPCAT"; "AHYP"; "ELEMFUN"}*/
 
-"ORESUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ORESUP"]
 "ORESUP" -> "OREPCAT"
 /*"ORESUP" -> {"RING"; "RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"}*/
 /*"ORESUP" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"; "MONOID"}*/
@@ -14347,7 +14346,8 @@ LAYER18=\
   ${OUT}/FDIV.o     ${OUT}/FSCINT.o   ${OUT}/FSINT.o    ${OUT}/FS2EXPXP.o \
   ${OUT}/GSERIES.o  ${OUT}/HELLFDIV.o ${OUT}/INVLAPLA.o ${OUT}/IR2F.o     \
   ${OUT}/IRRF2F.o   ${OUT}/LAPLACE.o  ${OUT}/LIMITPS.o  ${OUT}/LODEEF.o   \
-  ${OUT}/NODE1.o    ${OUT}/NTSCAT.o   ${OUT}/ODECONST.o ${OUT}/ODEEF.o    \
+  ${OUT}/NODE1.o    ${OUT}/NOTTING.o \
+  ${OUT}/NTSCAT.o   ${OUT}/ODECONST.o ${OUT}/ODEEF.o    \
   ${OUT}/ODEINT.o   ${OUT}/QCMPACK.o  ${OUT}/REGSET.o   ${OUT}/REP.o      \
   ${OUT}/RGCHAIN.o  ${OUT}/RSDCMPK.o  ${OUT}/SFRTCAT.o  ${OUT}/SOLVERAD.o \
   ${OUT}/SULS.o     ${OUT}/SUPXS.o    ${OUT}/UFPS1.o    ${OUT}/ULS.o      \
@@ -14780,6 +14780,16 @@ LAYER18=\
 /*"NODE1" -> {"ELTAGG"; "ELTAB"; "CLAGG"; "FLAGG"; "ELAGG"; "OM"; "POLYCAT"}*/
 /*"NODE1" -> {"FAMR"; "AMR"; "PFECAT"; "NNI"; "PI"; "LSAGG-"; "STAGG-"}*/
 
+"NOTTING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NOTTING"]
+/*"NOTTING" -> {"GROUP"; "MONOID"; "SGROUP"; "SETCAT"; "BASTYPE"} */
+/*"NOTTING" -> {"KOERCE"; "FFIELDC"; "FPC"} */
+/* "NOTTING" -> {"FIELD"; "EUCDOM"; "PID"; "GCDDOM"; "INTDOM"; "COMRING"} */
+/* "NOTTING" -> {"RING"; "RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"} */
+/* "NOTTING" -> {"LMODULE"; "BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"} */
+/* "NOTTING" -> {"ENTIRER"; "UFD"; "DIVRING"; "CHARNZ"; "FINITE"; "STEP"} */
+/* "NOTTING" -> {"DIFRING"; "NNI"; "INT"} */
+"NOTTING" -> "UFPS"
+
 "NTSCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=NTSCAT"]
 "NTSCAT" -> "RSETCAT"
 /*"NTSCAT" -> {"TSETCAT"; "PSETCAT"; "SETCAT"; "BASTYPE"; "KOERCE"}*/
@@ -15587,6 +15597,18 @@ ${MID}/UFPS1.nrlib/code.o: ${MID}/UFPS1.spad
 	      | ${INTERPSYS} >${TMP}/trace ; \
 	   fi )
 
+NOTTINGDEPS = UFPS
+
+${MID}/NOTTING.nrlib/code.o: ${MID}/NOTTING.spad
+	@echo S1 making ${MID}/NOTTING.nrlib/code.o from ${MID}/NOTTING.spad
+	@ (cd ${MID} ; \
+	 if [ -z "${NOISE}" ] ; then \
+	  echo -e ")lib ${NOTTINGDEPS} \n )co NOTTING.spad" | ${INTERPSYS}  ; \
+         else \
+	  echo -e ")lib ${NOTTINGDEPS} \n )co NOTTING.spad" \
+	    | ${INTERPSYS} >${TMP}/trace ; \
+	 fi )
+
 GUESSDEPS = NEWTON FAMR2 FFFG FFFGF SUPEXPR UTSSOL EXPRSOL GOPT GOPT0 \
             UFPS RECOP UFPS1
 
@@ -15678,8 +15700,6 @@ ${MID}/GUESSUP.nrlib/code.o: ${MID}/GUESSUP.spad
 	      | ${INTERPSYS} >${TMP}/trace ; \
 	   fi )
 
-
-
 @
 
 \section{Broken Files}
@@ -16425,7 +16445,6 @@ SPADHELP=\
  ${HELP}/EqTable.help                ${HELP}/Equation.help \
  ${HELP}/Expression.help \
  ${HELP}/EuclideanGroebnerBasisPackage.help \
- ${HELP}/Heap.help \
  ${HELP}/Factored.help               ${HELP}/FactoredFunctions2.help \
  ${HELP}/File.help                   ${HELP}/FileName.help \
  ${HELP}/FlexibleArray.help          ${HELP}/Float.help \
@@ -16449,6 +16468,7 @@ SPADHELP=\
  ${HELP}/MappingPackage2.help        ${HELP}/MappingPackage3.help \
  ${HELP}/Matrix.help                 ${HELP}/Multiset.help \
  ${HELP}/MultivariatePolynomial.help ${HELP}/None.help \
+ ${HELP}/NottinghamGroup.help \
  ${HELP}/Octonion.help               ${HELP}/OneDimensionalArray.help \
  ${HELP}/Operator.help               ${HELP}/OrderedVariableList.help \
  ${HELP}/OrderlyDifferentialPolynomial.help \
@@ -16519,6 +16539,7 @@ REGRESS=\
  MappingPackage2.regress        MappingPackage3.regress \
  Matrix.regress                 Multiset.regress \
  MultivariatePolynomial.regress None.regress \
+ NottinghamGroup.regress \
  Octonion.regress               OneDimensionalArray.regress \
  Operator.regress               OrderedVariableList.regress \
  OrderlyDifferentialPolynomial.regress \
@@ -17196,6 +17217,16 @@ ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
              >${INPUT}/None.input
 	@echo "None (NONE)" >>${HELPFILE}
 
+${HELP}/NottinghamGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7035 create NottinghamGroup.help from \
+             ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NottinghamGroup.help" ${BOOKS}/bookvol10.3.pamphlet \
+             >${HELP}/NottinghamGroup.help
+	@-cp ${HELP}/NottinghamGroup.help ${HELP}/NOTTING.help
+	@${TANGLE} -R"NottinghamGroup.input" ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NottinghamGroup.input
+	@echo "NottinghamGroup (NOTTING)" >>${HELPFILE}
+
 ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7061 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Octonion.help" ${BOOKS}/bookvol10.3.pamphlet \
diff --git a/src/algebra/exposed.lsp.pamphlet b/src/algebra/exposed.lsp.pamphlet
index a577f11..e211650 100644
--- a/src/algebra/exposed.lsp.pamphlet
+++ b/src/algebra/exposed.lsp.pamphlet
@@ -119,6 +119,7 @@
   (|Exit| . EXIT)
   (|Expression| . EXPR)
   (|ExpressionFunctions2| . EXPR2)
+  (|ExpressionSolve| . EXPRSOL)
   (|ExpressionSpaceFunctions2| . ES2)
   (|ExpressionSpaceODESolver| . EXPRODE)
   (|ExpressionToOpenMath| . OMEXPR)
@@ -127,6 +128,7 @@
   (|FactoredFunctions2| . FR2)
   (|File| . FILE)
   (|FileName| . FNAME)
+  (|FiniteAbelianMonoidRingFunctions2| . FAMR2)
   (|FiniteDivisorFunctions2| . FDIV2)
   (|FiniteField| . FF)
   (|FiniteFieldCyclicGroup| . FFCG)
@@ -143,6 +145,8 @@
   (|FourierSeries| . FSERIES)
   (|Fraction| . FRAC)
   (|FractionalIdealFunctions2| . FRIDEAL2)
+  (|FractionFreeFastGaussian| . FFFG)
+  (|FractionFreeFastGaussianFractions| . FFFGF)
   (|FractionFunctions2| . FRAC2)
   (|FreeNilpotentLie| . FNLA)
   (|FullPartialFractionExpansion| . FPARFRAC)
@@ -161,11 +165,14 @@
   (|GroebnerPackage| . GB)
   (|GroebnerFactorizationPackage| . GBF)
   (|Guess| . GUESS)
-  (|GuessOption| . GOPT)
   (|GuessAlgebraicNumber| . GUESSAN)
+  (|GuessFinite| . GUESSF)
+  (|GuessFiniteFunctions| . GUESSF1)
   (|GuessInteger| . GUESSINT)
+  (|GuessOption| . GOPT)
+  (|GuessOptionFunctions0| . GOPT0)
   (|GuessPolynomial| . GUESSP)
-  (|GuessFinite| . GUESSF)
+  (|GuessUnivariatePolynomial| . GUESSUP)
   (|HallBasis| . HB)
   (|Heap| . HEAP)
   (|HexadecimalExpansion| . HEXADEC)
@@ -231,8 +238,11 @@
   (|MultivariateFactorize| . MULTFACT)
   (|MultivariatePolynomial| . MPOLY)
   (|MultFiniteFactorize| . MFINFACT)
+  (|MyUnivariatePolynomial| . MYUP)
+  (|MyExpression| . MYEXPR)
   (|NoneFunctions1| . NONE1)
   (|NonNegativeInteger| . NNI)
+  (|NottinghamGroup| . NOTTING)
   (|NormalizationPackage| . NORMPK)
   (|NormInMonogenicAlgebra| . NORMMA)
   (|NumberTheoreticPolynomialFunctions| . NTPOLFN)
@@ -322,6 +332,7 @@
   (|RealPolynomialUtilitiesPackage| . POLUTIL)
   (|RealZeroPackage| . REAL0)
   (|RealZeroPackageQ| . REAL0Q)
+  (|RecurrenceOperator| . RECOP)
   (|RectangularMatrixCategoryFunctions2| . RMCAT2)
   (|RegularSetDecompositionPackage| . RSDCMPK)
   (|RegularTriangularSet| . REGSET)
@@ -344,6 +355,7 @@
   (|SimplifyAlgebraicNumberConvertPackage| . SIMPAN)
   (|SingleInteger| . SINT)
   (|SmithNormalForm| . SMITH)
+  (|SparseUnivariatePolynomialExpressions| . SUPEXPR)
   (|SparseUnivariatePolynomialFunctions2| . SUP2)
   (|SpecialOutputPackage| . SPECOUT)
   (|SquareFreeRegularSetDecompositionPackage| . SRDCMPK)
@@ -363,6 +375,7 @@
   (|SAERationalFunctionAlgFactor| . SAERFFC)
   (|Tableau| . TABLEAU)
   (|TaylorSeries| . TS)
+  (|TaylorSolve| . UTSSOL)
   (|TexFormat| . TEX)
   (|TexFormat1| . TEX1)
   (|TextFile| . TEXTFILE)
@@ -379,6 +392,8 @@
   (|Tree| . TREE)
   (|TrigonometricManipulations| . TRIGMNIP)
   (|UnivariateLaurentSeriesFunctions2| . ULS2)
+  (|UnivariateFormalPowerSeries| . UFPS)
+  (|UnivariateFormalPowerSeriesFunctions| . UFPS1)
   (|UnivariatePolynomial| . UP)
   (|UnivariatePolynomialCategoryFunctions2| . UPOLYC2)
   (|UnivariatePolynomialCommonDenominator| . UPCDEN)
@@ -940,6 +955,7 @@
   (|NewSparseUnivariatePolynomial| . NSUP)
   (|NewSparseUnivariatePolynomialFunctions2| . NSUP2)
   (|NonCommutativeOperatorDivision| . NCODIV)
+  (|NewtonInterpolation| . NEWTON)
   (|None| . NONE)
   (|NonLinearFirstOrderODESolver| . NODE1)
   (|NonLinearSolvePackage| . NLINSOL)
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c668b7b..55f0b57 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -967,5 +967,7 @@ bookvol10.3 add regression, help, examples for Queue<br/>
 bookvol10.3 add regression, help, examples for Dequeue<br/>
 <a href="patches/20090225.01.tpd.patch">20090225.01.tpd.patch</a>
 bookvol10.3 add regression, help, examples for Heap<br/>
+<a href="patches/20090225.02.tpd.patch">20090225.02.tpd.patch</a>
+bookvol10.3 add regression, help, examples for NottinghamGroup<br/>
  </body>
 </html>
